import { ComposableMap, Geographies, Geography } from "react-simple-maps"

export default function MapChart({geoUrl}:{geoUrl: string}) {
  return (
    <ComposableMap>
      <Geographies geography={geoUrl}>
  {({ geographies }) =>
    geographies.map((geo) => {
      // You can access `firstProperty` and `secondProperty`
      // via geo.properties.firstProperty and geo.properties.secondProperty

      return <Geography key={geo.rsmKey} geography={geo} />
    })
  }
</Geographies>
    </ComposableMap>
  )
}
